# Explorer Txs

Push every new on-chain transaction after finalization. Global subscription — pushes **all** transactions.

{% hint style="warning" %}
This is a **firehose**. On busy blocks you can receive dozens of pushes per \~150 ms. Filter client-side on `a` (signer address) or `c` (action type) to narrow down.
{% endhint %}

## Subscribe

```json
{ "channel": "explorer_txs" }
```

## Payload

| Field | Type           | REST equivalent                |
| :---: | -------------- | ------------------------------ |
|  `x`  | string         | `tx_hash`                      |
|  `a`  | string         | `address` (signer)             |
|  `c`  | string         | `action_type`                  |
|  `h`  | integer        | `block_height`                 |
|  `t`  | integer (ms)   | `time`                         |
|  `e`  | string \| null | `error` — `null` if successful |

## Example Push

```json
{
  "channel": "explorer_txs",
  "ts": 1719500000150,
  "finality": "final",
  "data": {
    "x": "0xt×_hash…",
    "a": "0xs1gner…",
    "c": "place_order",
    "h": 1234567,
    "t": 1719500000120,
    "e": null
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lynxtrade.world/websocket/explorer-channels/explorer-txs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
